<?php

namespace Drupal\travis_build\Controller;

use Drupal\Component\Uuid\Uuid;
use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\Core\Url;
use Drupal\image\Entity\ImageStyle;
use Drupal\travis_build\TravisBuildBot;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;

/**
 * Provides an endpoint to retrieve Recipe data by UUID or Legacy Id.
 */
class TravisBuildController extends ControllerBase {

  /**
   * The Travis build bot service.
   *
   * @var \Drupal\travis_build\TravisBuildBot
   */
  private $buildBot;

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('travis_build.bot')
    );
  }

  /**
   * {@interitdoc}
   *
   * @param \Drupal\travis_build\TravisBuildBot $travis_build_bot
   *   The Travis build bot service.
   */
  public function __construct(TravisBuildBot $travis_build_bot) {
    $this->buildBot = $travis_build_bot;
  }

  /**
   * Trigger a build on demand from a path.
   */
  public function triggerBuild() {
    $this->buildBot->triggerBuild($right_now = TRUE);

    return $this->redirect('travis_build.settings');
  }

}
